Bug 212136 - security/openvpn: correct XOR patch for current version
Summary: security/openvpn: correct XOR patch for current version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-25 07:13 UTC by Franco Fichtner
Modified: 2016-08-28 09:16 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+


Attachments
regenerated patch file (8.60 KB, patch)
2016-08-25 07:13 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-08-25 07:13:12 UTC
Created attachment 174049 [details]
regenerated patch file

Hi there,

I've adjusted the Tunnelbick XOR patch to compile with the new version.  Attached is the full patch to overwrite the current file.  The reference commit in the OPNsense ports is below.

https://github.com/opnsense/ports/commit/bea7d3985fa2


Cheers,
Franco
Comment 1 commit-hook freebsd_committer 2016-08-27 01:17:36 UTC
A commit references this bug:

Author: mandree
Date: Sat Aug 27 01:17:24 UTC 2016
New revision: 420956
URL: https://svnweb.freebsd.org/changeset/ports/420956

Log:
  Update Tunnelblick XOR patch.

  PR:		212136
  Submitted by:	Franco Fichtner

Changes:
  head/security/openvpn/Makefile
  head/security/openvpn/files/extra-tunnelblick-openvpn_xorpatch
Comment 2 Matthias Andree freebsd_committer 2016-08-27 09:46:46 UTC
Triggered by an inquiry of mat@ why I bumped PORTREVISION:
it appears the attached regenerated patch and the Github commite are not the same, so I am reopening bug, have requested Franco's clarification by e-mail.
Comment 3 Franco Fichtner 2016-08-27 10:06:02 UTC
I don't completely understand the question.

First of all the revision bump wasn't necessary because the build for the TUNNELBLICK option wasn't working in the first place.  It's not in this diff.

Second of all mat@ fixed this (thanks) hours after I opened this issue.  It's an unfortunate development of proactive committing of a non-maintainer on a non-default option.

As for a clarification, https://tunnelblick.net/cOpenvpn_xorpatch.html does not have an updated patch, so I manually rebuilt the patch using "makepatch" and reassembled the file.  As you can see from the diff, the only conflict from 2.3.11 to 2.3.12 was the removal of the maxsize argument.

The question I have is how mat@ found this and whether or not TUNNELBLICK could be a default option given the apparent interest in this.  ;)
Comment 4 Matthias Andree freebsd_committer 2016-08-27 10:35:55 UTC
Tunnelblick will not be a FreeBSD port default option unless upstream turns it into one.

If mat@ forgets he has committed without letting me know, this is a non-issue. Closing again, and Mathieu now needs to cope with not getting proper traces here or heads-ups to me that he changed my port... ;-)
Comment 5 Franco Fichtner 2016-08-28 09:16:28 UTC
Fair enough, thanks.  :)